# Uses of Class
com.ngrok.definitions.EndpointCircuitBreaker

Packages that use EndpointCircuitBreaker
Package
Description
com.ngrok.definitions
com.ngrok.services

- ## Uses of EndpointCircuitBreaker in com.ngrok.definitions

  Methods in com.ngrok.definitions that return EndpointCircuitBreaker
  Modifier and Type
  Method
  Description
  `EndpointCircuitBreaker`
  EndpointCircuitBreaker.Builder.`build()`
  Constructs the `EndpointCircuitBreaker` instance.
  Methods in com.ngrok.definitions that return types with arguments of type EndpointCircuitBreaker
  Modifier and Type
  Method
  Description
  `Optional<EndpointCircuitBreaker>`
  HttpsEdgeRoute.`getCircuitBreaker()`
  circuit breaker module configuration or `null`

- ## Uses of EndpointCircuitBreaker in com.ngrok.services

  Methods in com.ngrok.services that return EndpointCircuitBreaker
  Modifier and Type
  Method
  Description
  `EndpointCircuitBreaker`
  EdgeRouteCircuitBreakerModule.GetCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  `EndpointCircuitBreaker`
  EdgeRouteCircuitBreakerModule.ReplaceCallBuilder.`blockingCall()`
  Initiates the API call and blocks until it returns.
  Methods in com.ngrok.services that return types with arguments of type EndpointCircuitBreaker
  Modifier and Type
  Method
  Description
  `CompletionStage<EndpointCircuitBreaker>`
  EdgeRouteCircuitBreakerModule.GetCallBuilder.`call()`
  Initiates the API call asynchronously.
  `CompletionStage<EndpointCircuitBreaker>`
  EdgeRouteCircuitBreakerModule.ReplaceCallBuilder.`call()`
  Initiates the API call asynchronously.
  Methods in com.ngrok.services with parameters of type EndpointCircuitBreaker
  Modifier and Type
  Method
  Description
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`circuitBreaker(EndpointCircuitBreaker circuitBreaker)`
  circuit breaker module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`circuitBreaker(EndpointCircuitBreaker circuitBreaker)`
  circuit breaker module configuration or `null`
  `EdgeRouteCircuitBreakerModule.ReplaceCallBuilder`
  EdgeRouteCircuitBreakerModule.ReplaceCallBuilder.`module(EndpointCircuitBreaker module)`
  Sets the `module` parameter.
  Method parameters in com.ngrok.services with type arguments of type EndpointCircuitBreaker
  Modifier and Type
  Method
  Description
  `EdgesHttpsRoutes.CreateCallBuilder`
  EdgesHttpsRoutes.CreateCallBuilder.`circuitBreaker(Optional<EndpointCircuitBreaker> circuitBreaker)`
  circuit breaker module configuration or `null`
  `EdgesHttpsRoutes.UpdateCallBuilder`
  EdgesHttpsRoutes.UpdateCallBuilder.`circuitBreaker(Optional<EndpointCircuitBreaker> circuitBreaker)`
  circuit breaker module configuration or `null`
  `EdgeRouteCircuitBreakerModule.ReplaceCallBuilder`
  EdgeRouteCircuitBreakerModule.ReplaceCallBuilder.`module(Optional<EndpointCircuitBreaker> module)`
  Sets (or unsets) the `module` parameter.